/*
 * Copyright 2013 Alexander Baumgartner
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * This package contains the classes of the rule based system
 * ({@link at.jku.risc.stout.nau.algo.AntiUnifySystem}) to solve the nominal
 * anti-unification problem and an algorithm to solve the nominal
 * equivariance problem ({@link at.jku.risc.stout.nau.algo.EquivarianceSystem})
 * which is needed by the anti-unification algorithm. Solving the equivariance
 * problem is an interesting problem by itself and it can also be used to test
 * alpha equivalence.
 */
package at.jku.risc.stout.nau.algo;

